#include "receiver.h"
#include <iostream>
using namespace std;
//______________________________________________________________
Receiver::Receiver()
    : QUdpSocket()
{
connect(this, SIGNAL(readyRead()), this, SLOT(datagramReady()));
}

//______________________________________________________________________
void Receiver::datagramReady(){
    // is there a datagramm ready
while (hasPendingDatagrams()) {
              QByteArray datagram;
              datagram.resize(pendingDatagramSize());
              QHostAddress sender;
              quint16 senderPort;
              // read the datagram
              readDatagram(datagram.data(), datagram.size(),
                                      &sender, &senderPort);

              // process the data, example: print in uint16 format
              int16_t * ptr = (int16_t *)datagram.data();
              for (int i=0 ; i<datagram.size()/2 ; i++)cout<<ptr[i]<<' ';
          }

}

Receiver::~Receiver(){
    if (isOpen()) close();
}

