#include <iostream>
using namespace std;

#include <QImage>
#include <QRgb>
#include <QString>

int main(int argc, char *argv[])
{
    QString imageName = "../5217_star_wars.jpg";
    QImage image;
    image.load(imageName);

    // echange rouge et vert
    for (int x=0 ; x<image.width() ; x++)
        for (int y=0 ; y<image.height() ; y++){
            QRgb value = image.pixel(x,y);
            int red = qRed(value);
            int blue = qBlue(value);
            int green = qGreen(value);

            image.setPixel(x,y, qRgb(blue, red, green));
            }
    QString br = imageName;
    br.replace(".jpg", "-A.jpg");
    image.save(br);

    // passage en N&B
    for (int x=0 ; x<image.width() ; x++)
        for (int y=0 ; y<image.height() ; y++){
            QRgb value = image.pixel(x,y);
            int red = qRed(value);
            int blue = qBlue(value);
            int green = qGreen(value);
            int gray = qGray(red, green, blue);

            image.setPixel(x,y, qRgb(gray, gray, gray) );
            }
    br = imageName;
    br.replace(".jpg", "-B.jpg");
    image.save(br);

    // fond vert
    for (int x=0 ; x<image.width() ; x++)
        for (int y=0 ; y<image.height() ; y++){
            QRgb value = image.pixel(x,y);
            int red = qRed(value);
            int blue = qBlue(value);
            int green = qGreen(value);
            int gray = qGray(red, green, blue);

            image.setPixel(x,y, gray==0 ? qRgb(0, 0, 255) : qRgb(red, blue, green) );
            }
    br = imageName;
    br.replace(".jpg", "-C.jpg");
    image.save(br);

return 0;
}
