#include <QCoreApplication>
#include <unthread.h>
#include <iostream>

using namespace std;

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);
    
    UnThread *t1, *t2, *t3;     // instanciation de trois threads

    t1 = new UnThread('A');     // il écrit A
    t2 = new UnThread('B');     // il écrit B
    t3 = new UnThread('C');     // il écrit C

    // lancement des thread avec des priorités différentes
    t1->start(QThread::NormalPriority);
    t2->start(QThread::LowPriority);
    t3->start(QThread::HighestPriority);

    return a.exec();
}

