#include "polygon.h"
#include <cmath>
#include <iostream>
using namespace std;

//______________________________________________________________________
Polygon::Polygon(QString nom)
{
this->nom = nom;
}

//______________________________________________________________________
Polygon::~Polygon()
{

}

//______________________________________________________________________
void Polygon::affiche(){
 cout<<nom.toLatin1().constData()<<" = ";
 for (int i=0 ; i<this->size() ; i++)
            cout<<'('<<point(i).x()<<','<<point(i).y()<<"), ";
 cout<<endl;
}

//______________________________________________________________________
double Polygon::aire(){
    double a=0;
    for (int i=0 ; i<size()-1 ; i++){
        a += point(i).x()*point(i+1).y() - point(i+1).x()*point(i).y();
    }
return fabs(a/2);
}
//______________________________________________________________________
void Polygon::operator =(QPolygon p){
    this->clear();
    for (int i=0 ; i<p.size() ; i++)this->push_back(p.point(i));
}
