#include <iostream>
using namespace std;

#include <QImage>

#include <QApplication>
#include <fenetre.h>
#include <QRgb>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    Fenetre w;

    w.setWindowTitle("Image - version 1.0");
    w.show();
    w.repaint();


    QImage image;
    image.load("../5217_star_wars.jpg");

    //  affichage de l'image originale
    w.setImage(0, image);

    // echange rouge et vert
    for (int x=0 ; x<image.width() ; x++)
        for (int y=0 ; y<image.height() ; y++){
            QRgb value = image.pixel(x,y);
            int red = qRed(value);
            int blue = qBlue(value);
            int green = qGreen(value);

            image.setPixel(x,y, qRgb(blue, red, green));
            }
    w.setImage(1, image);

    // passage en N&B
    for (int x=0 ; x<image.width() ; x++)
        for (int y=0 ; y<image.height() ; y++){
            QRgb value = image.pixel(x,y);
            int red = qRed(value);
            int blue = qBlue(value);
            int green = qGreen(value);
            int gray = qGray(red, green, blue);

            image.setPixel(x,y, qRgb(gray, gray, gray) );
            }
    w.setImage(2, image);

    // fond vert
    for (int x=0 ; x<image.width() ; x++)
        for (int y=0 ; y<image.height() ; y++){
            QRgb value = image.pixel(x,y);
            int red = qRed(value);
            int blue = qBlue(value);
            int green = qGreen(value);
            int gray = qGray(red, green, blue);

            image.setPixel(x,y, gray==0 ? qRgb(0, 0, 255) : qRgb(red, blue, green) );
            }
    w.setImage(3, image);

return a.exec();
}
