#include <iostream>
#include <QImage>
#include <QDir>
#include <QString>
using namespace std;

int main(int argc, char *argv[]){
    if (argc<2){
                cout<<"usage:\r\nconvertisseur rep-source [rep-destination]\r\n";
                cout<<"converti toutes le images JPEG du répertoire source et les stocke dans le répertoire destination\r\n";
                cout<<"si le repertoire destination n'est pas spécifié le crée au même niveau que source\r\n";
                return 0;
                }
    // traitement du répertoire source
    QDir source(argv[1]);
    if (!source.exists()){
        cout<<"répertoire source "<<argv[1]<<" introuvable"<<endl;
        return 0;
        }
    // traitement du répertoire destination
    QDir destination;
    if (argc>=3) destination.setPath(argv[2]);
            else destination.setPath(source.absolutePath() + "/converted");

    if (!destination.exists()){
                if (!destination.mkdir(destination.absolutePath())){
                                        cout<<"impossible de créer le répertoire destination"<<endl;
                                        return 0;
                                        }
                }
    //  conversion des fichiers du répertoire
    QStringList liste = source.entryList(QStringList()<<"*.jpg"<<"*.JPG"<<"*.jpeg"<<"*.JPEG");
    for (unsigned  i=0 ; i<liste.size() ; i++){
        QImage image(source.absolutePath() + "/" + liste[i]);
        if (!image.isNull()){   // image lue
                            QString nomDestination = destination.absolutePath() + "/" + liste[i];
                            nomDestination.replace(".jpeg", ".bmp");
                            nomDestination.replace(".jpg", ".bmp");
                            nomDestination.replace(".JPEG", ".bmp");
                            nomDestination.replace(".JPG", ".bmp");
                            if (image.save(nomDestination))
                                            cout<<nomDestination.toLatin1().constData()<<" converti"<<endl;
                            }
      }


    return 0;
}
