#include "widget.h"
#include "ui_widget.h"

//__________________________________________________________CONSTRUCTEUR
Widget::Widget(QWidget *parent)
    : QWidget(parent), ui(new Ui::WidgetClass)
{
    ui->setupUi(this);
    npoint = 0;
    // curseur: croix
    this->setCursor(QCursor(Qt::CrossCursor));
}
//___________________________________________________________DESTRUCTEUR
Widget::~Widget()
{
    delete ui;
}


// _________________________________________________________évènement de repainture de la fenêtre
void Widget::paintEvent(QPaintEvent *event)
{

  QPainter painter(this);

  // la taille de la fenêtre
  int left, top, width, height;
  this->geometry().getRect(&top, &left, &width, &height);

  // l'origine au centre
  QPoint origine(width/2, height/2);
  int stepx = width/20;
  int stepy = height/20;

  // tracé des axes
  painter.setPen(QPen(Qt::black));
  for (int i=0 ; i<20 ; i++){
              painter.drawLine(0, i*stepy, width, i*stepy);
              painter.drawLine(i*stepx, 0, i*stepx, height);
          }
// dessin des points
  for (int i=0 ; i<npoint ; i++)painter.drawEllipse(p[i]-QPoint(1,1),2, 2);
}

//_____________________________________________________________gestionnaire de souris
void  Widget::mousePressEvent ( QMouseEvent * event ){
    // position de la souris
if (npoint<100-1) p[npoint++]= QPoint(event->x(), event->y());
    // appel de paint
repaint();
}

