#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QPainter>
#include <QGradient>
#include <QMouseEvent>
#include <QCursor>

#define MAX_POINT 100

namespace Ui
{
    class WidgetClass;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = 0);
    ~Widget();

private:
    Ui::WidgetClass *ui;

    QPoint p[MAX_POINT];            // un tableau de points
    int npoint;                     // nbre de points

private slots:
    void paintEvent(QPaintEvent *event);
    void mousePressEvent ( QMouseEvent * event );

};

#endif // WIDGET_H
