#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QTimer>
#include <QLabel>
#include <QDoubleSpinBox>
#include <sensors.h>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();
public slots:
    void on_timer();
private:
    Ui::Widget *ui;    
    QTimer *timer;
    QList <QLabel*> chiplabels;             // pour les chips
    QList <QLabel*> sensorlabels;           // pour les sensors
    QList <QDoubleSpinBox*> spinboxesValue;  // pour les valeurs
};

#endif // WIDGET_H
