#include <sensors.h>
#include <iostream>
using namespace std;

int main(int argc, char *argv[])
{
    sensors_init(NULL);
       sensors_chip_name const * cn;
       int c = 0;
       while ((cn = sensors_get_detected_chips(0, &c)) != 0) {
           std::cout <<endl<< "Chip: " << cn->prefix << endl;

           sensors_feature const *feat;
           int f = 0;

           while ((feat = sensors_get_features(cn, &f)) != 0) {
               //std::cout << f << ": " << feat->name << std::endl;

               sensors_subfeature const *subf;
               int s = 0;

               while ((subf = sensors_get_all_subfeatures(cn, feat, &s)) != 0) {
                   std::cout << s-1 << ":" << subf->name
                             << "/" << subf->number << " = ";
                   double val;
                   if (subf->flags & SENSORS_MODE_R) {
                       int rc = sensors_get_value(cn, subf->number, &val);
                       if (rc < 0) {
                           std::cout << "err: " << rc;
                       } else {
                           std::cout << val;
                       }
                   }
                   std::cout << std::endl;
               }
           }
       }
   sensors_cleanup();

    return 0;
}
