#ifndef MYSERVER_H
#define MYSERVER_H

#include <QTcpServer>
#include <QTcpSocket>
#include <QString>
#include <QTextStream>
#include <QTime>

// __________________________________________________
// MyServer is a inherited class of QTcpServer
class MyServer : public QTcpServer
{
   Q_OBJECT
public :
   MyServer(QObject *parent=0, int port = 10000);

private slots :
   void demande_connexion() ;
   void lecture();
signals:
   void say_userUp(QString);
   void say_userDown(QString);
private :
   QTcpSocket *clientConnexion;

};

#endif // MYSERVER_H
